|  | Home | Documentation | wininet_data Struct Reference updated Thu Jun 4 2020 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wininet_data Struct Reference

## Public Attributes
HINTERNET | hInternet
HINTERNET | hConnection
HINTERNET | hHttpRequest
BOOL | bDisconnect
DWORD | dwRequestFlags
char * | pBuffer
size_t | uiBufferLenMax
size_t | uiBufferLen
BOOL | bIsChunkSize
wininet_rse_callback | pRseCallback

## Detailed Description

plugin private data

## Member Data Documentation

BOOL wininet_data::bDisconnect

connection is disconnected

BOOL wininet_data::bIsChunkSize

expecting a chunk size buffer

DWORD wininet_data::dwRequestFlags

extra request flags from user

HINTERNET wininet_data::hConnection

current connection handle

HINTERNET wininet_data::hHttpRequest

current open HTTP request

HINTERNET wininet_data::hInternet

internet session handle

char* wininet_data::pBuffer

send buffer

wininet_rse_callback wininet_data::pRseCallback

wininet_resolve_send_error callback. Allows clients to resolve ssl errors programatically

size_t wininet_data::uiBufferLen

length of data in buffer

size_t wininet_data::uiBufferLenMax

total length of the message

The documentation for this struct was generated from the following file:

- gsoapWinInet.cpp